Package org.apache.felix.framework

# Class BundleWiringImpl.BundleClassLoaderJava5

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
org.apache.felix.framework.BundleWiringImpl.BundleClassLoader
org.apache.felix.framework.BundleWiringImpl.BundleClassLoaderJava5

All Implemented Interfaces:
  `BundleReference`

Enclosing class:
  `BundleWiringImpl`

public static class BundleWiringImpl.BundleClassLoaderJava5 extends BundleWiringImpl.BundleClassLoader

## Constructor Summary

Constructors
Constructor
Description
`BundleClassLoaderJava5(BundleWiringImpl wiring, ClassLoader parent, Logger logger)`

## Method Summary

Modifier and Type
Method
Description
`protected Enumeration`
`findResources(String name)`
`Enumeration`
`getResources(String name)`
`protected boolean`
`isParallel()`

### Methods inherited from class org.apache.felix.framework.BundleWiringImpl.BundleClassLoader

`callWovenClassListeners, findClass, findLibrary, findResource, getBundle, getResource, isActivationTriggered, loadClass, toString`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass, getPermissions`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResourceAsStream, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BundleClassLoaderJava5

public BundleClassLoaderJava5(BundleWiringImpl wiring, ClassLoader parent, Logger logger)

## Method Details

### isParallel

protected boolean isParallel()

Overrides:
  `isParallel` in class `BundleWiringImpl.BundleClassLoader`

### getResources

public Enumeration getResources(String name)

Overrides:
  `getResources` in class `ClassLoader`

### findResources

protected Enumeration findResources(String name)

Overrides:
  `findResources` in class `BundleWiringImpl.BundleClassLoader`